/* Mesquite source code.  Copyright 1997-2004 W. Maddison and D. Maddison. 
Version 1.01, January 2004.
Disclaimer:  The Mesquite source code is lengthy and we are few.  There are no doubt inefficiencies and goofs in this code. 
The commenting leaves much to be desired. Please approach this source code with the spirit of helping out.
Perhaps with your help we can be more than a few, and make Mesquite better.

Mesquite is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.
Mesquite's web site is http://mesquiteproject.org

This source code and its compiled class files are free and modifiable under the terms of 
GNU Lesser General Public License.  (http://www.gnu.org/copyleft/lesser.html)
*/
package mesquite.lib;

import java.awt.*;
import java.awt.event.*;
import mesquite.lib.duties.*;
/* ======================================================================== */
/** an intermediary class that can be changed to extend Panel versus Frame, to allow embedding versus not 
UNEMBEDDED VERSION */
public class MesquiteFrame extends Frame {
	public MesquiteFrame() {
		super();
	}
	public Frame getTheWindow() {
		return this;
	}
}

/* ======================================================================== */
/** an intermediary class that can be changed to extend Panel versus Frame, to allow embedding versus not 
EMBEDDED VERSION  *
public class MesquiteFrame extends Panel {
	String title;
	public MesquiteFrame() {
		MesquiteTrunk.mesquiteTrunk.embeddedPanel.add(this);
	}
	public void setTitle(String name) {
		title = name;
	}
	public String getTitle() {
		return title;
	}
	public void setMenuBar(MenuBar mbar) {
	}
	public MenuBar getMenuBar() {
		return null;
	}
	public void dispose() {
	}
	public void setResizable(boolean yes) {
	}
	public Frame getTheWindow() {
		return null;
	}
	public void toFront() {
		setVisible(true);
	}
}
/**/
